package gui;

import java.awt.GridBagLayout;
import java.awt.HeadlessException;
import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.KeyStroke;

@SuppressWarnings("serial")
public class GlavnoOkno extends JFrame {

	private Platno platno;
	private JMenuItem zbrisiMenu;

	public GlavnoOkno() throws HeadlessException {
		super();
		this.setTitle("Slikar");
		this.setLayout(new GridBagLayout());
		platno = new Platno(this);
		this.getContentPane().add(platno);
		
		// Dodamo menu
		JMenuBar menuBar = new JMenuBar();
		this.setJMenuBar(menuBar);
		JMenu urediMenu = new JMenu("Uredi");
		menuBar.add(urediMenu);
		this.zbrisiMenu = new JMenuItem("Zbriši", KeyEvent.VK_Z);
		// Marcel je želel bližnjico za zbriši Alt-Z
		this.zbrisiMenu.setAccelerator(KeyStroke.getKeyStroke(
		        KeyEvent.VK_Z, ActionEvent.ALT_MASK));
		urediMenu.add(this.getZbrisiMenu());
		this.getZbrisiMenu().addActionListener(this.platno);
	}

	public JMenuItem getZbrisiMenu() {
		return this.zbrisiMenu;
	}

}
